Obtener la definicion de un formulario (para renderizar el formulario)
curl --request GET \
--url https://clientapi.woku.app/v1/forms/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/forms/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"form": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"required": true,
"placeholder": "<string>",
"options": [
"<string>"
],
"order": 123
}
],
"settings": {},
"closed": true,
"availableLocales": [
"<string>"
],
"defaultLocale": "<string>",
"localizedContent": [
{}
]
},
"company": {
"name": "<string>",
"avatar": "<string>"
}
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}Forms
Obtener la definicion de un formulario (para renderizar el formulario)
Devuelve el formulario activo (campos, configuracion, contenido localizado) mas la marca de la empresa, listo para renderizar en tu propia UI. Acepta la clave de captura publicable o la clave secreta.
GET
/
v1
/
forms
/
{id}
Obtener la definicion de un formulario (para renderizar el formulario)
Autorizaciones
BearerAuthPublishableKey
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de ruta
Id del formulario
⌘I